Subject: Re: [PATCH 0/3] Implement git-svn: info

From: Eric Wong <[email-masked]>
Date: Wed, 21 Nov 2007 01:20:28 -0800

Eric Wong <[email-masked]> wrote:
> "David D. Kilzer" <[email-masked]> wrote:
> > "David D. Kilzer" <[email-masked]> wrote:
> > > Eric Wong <[email-masked]> wrote:
> > > > Can we expect the output of "svn info" to not change between
> > > > versions?  I know "svn status" has changed between versions of
> > > > svn.  I'd prefer if we keep the expected.* files hard-coded
> > > > in a test directory and compare those instead.  Maybe use sed
> > > > to substitute placeholders for timestamps..
> > > Done.
> > 
> > Grrr.  I remember the reason I didn't do this in the first place.  In Patch
> > 2/3, there are now hard-coded directory paths and my username in the static
> > expected-* files.
> > 
> > That means that either I need to replace the "URL:", "Repository Root:" and
> > "Last Changed Author:" fields with place-holders (weakening the effectiveness
> > of the tests), or switch back to more dynamic tests.
> > 
> > Thoughts?
> 
> Ah, good point.
> 
> On some of my tests (t9110, t9111, t9115), I get around this by
> generating a repository once and dumping it using `svnadmin dump'.

Wait, the paths/URLs will still be inconsistent, but author will at
least be correct...

Sorry, I need sleep :/

-- 
Eric Wong